Subject: Re: [nwcrg] nwcrg Digest, Vol 42, Issue 1

From: Marie-Jose Montpetit <[email-masked]>
Date: Wed, 19 Apr 2017 15:58:02 -0400

I am fine with the text. But the text has been so long in coming that I wonder why instead of having the chairs as co-edo
> On Apr 19, 2017, at 3:00 PM, [email-masked] wrote:
> 
> Send nwcrg mailing list submissions to
> 	[email-masked]
> 
> To subscribe or unsubscribe via the World Wide Web, visit
> 	https://www.irtf.org/mailman/listinfo/nwcrg
> or, via email, send a message with subject or body 'help' to
> 	[email-masked]
> 
> You can reach the person managing the list at
> 	[email-masked]
> 
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of nwcrg digest..."
> Today's Topics:
> 
>   1. RGLC for draft-irtf-nwcrg-network-coding-taxonomy-02 (ends on
>      May 9th) (Vincent Roca)
> 
> From: Vincent Roca <[email-masked]>
> Subject: [nwcrg] RGLC for draft-irtf-nwcrg-network-coding-taxonomy-02 (ends on May 9th)
> Date: April 19, 2017 at 10:11:52 AM EDT
> To: [email-masked]
> 
> 
> Everybody,
> 
> Many of you contributed to our Taxonomy Internet-Draft, published
> on March 10th. It’s now time to finalise it and start a « Research Group
> Last Call ».
> 
> ----
> This email announces a NCWRG Research Group Last Call on:
> 
> 	Network Coding Taxonomy
> 	draft-irtf-nwcrg-network-coding-taxonomy-02
> 	https://datatracker.ietf.org/doc/draft-irtf-nwcrg-network-coding-taxonomy <https://datatracker.ietf.org/doc/draft-irtf-nwcrg-network-coding-taxonomy>
> 
> 
> This WGLC will last about 3 weeks weeks, till Tuesday, May 9th.
> ----
> 
> The goal is to review the document for editorial and technical quality.
> Comments are needed and you can:
> 	- either send comments on the [email-masked] <mailto:[email-masked]> list;
> 	- or add comments to the Google Drive document where the -02 draft
> 	  has been copied. At the end of the RGLC process, these comments
> 	  will be copied to the [email-masked] <mailto:[email-masked]> list.
> 
> I have re-used the Google Drive document used in February-March to
> elaborate the current version, meaning that mostly co-authors have access
> to it.
> ==> If you want to comment directly in this Google Drive document, please
> 	send me a private email and I’ll add you.
> 
> Being a Last Call, there is no planned audio. Depending on the feedback
> received, we may have to produce a new version.
> 
> Thanks for your participation.
> Cheers,
> 
> 
>   Vincent
> 
> 
> NB : For information on the process that applies to IRTF groups in order to
> 	publish an RFC, please refer to RFC 5743 (https://tools.ietf.org/html/rfc5743 <https://tools.ietf.org/html/rfc5743>)
> 	plus RFC 5742 for additional details.
> 
> 
> _______________________________________________
> nwcrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nwcrg

---

From: Marie-Jose Montpetit <[email-masked]>
Date: Wed, 19 Apr 2017 15:58:34 -0400

oops email sent too fast - my real answer is coming.

> On Apr 19, 2017, at 3:58 PM, Marie-Jose Montpetit <[email-masked]> wrote:
> 
>> On Apr 19, 2017, at 3:00 PM, [email-masked] <mailto:[email-masked]> wrote:
>> 
>> 	[email-masked] <mailto:[email-masked]>
>>

---

From: Marie-Jose Montpetit <[email-masked]>
Date: Wed, 19 Apr 2017 16:11:27 -0400

I am fine with the text. But the text has been so long in coming that I wonder why instead of having the chairs as co-editors there could be a way to share the credits with at least the main contributors to the taxonomy.

I know that there are probably too many people for an exhaustive list of authors but for many people being in the “thanks for your inputs” is not the same as having full co-authorship credits.

Sorry for the earlier mix-up.

mjm

>>> 	https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>

---

From: Vincent Roca <[email-masked]>
Date: Thu, 20 Apr 2017 10:12:19 +0200

Hello Marie-José,

> I know that there are probably too many people for an exhaustive list of authors but for many people being in the “thanks for your inputs” is not the same as having full co-authorship credits.

Good point. There are two side questions:
	- who is/are editor(s)?
	- how to best address the authors list?

The first question (editor) is essentially a semantic question:
- (1) should we list as editor the current **and** past editors (in which case Victor deserves to be listed, not because
   he’s co-chair but because he was the main editor), or
- (2) it is reserved for the current editor (in which case Victor should not be listed)?

I omitted to raise the question in March, when preparing version -02. Then, because it was not openly discussed, 
I opted for option (1). But the question is valid. Victor, what do you think?

The second question (authors list and "sharing the credits with at least the main contributors") is more important.
I’m not satisfied by the current situation (even if we already discussed it) since this is a RG document, authored
by many people.
Just to clarify, in version -02, the authors list is in a dedicated section « Appendix B.  Authors and Contributors »,
not in an « Acknowledgment » section. But if there’s a better solution, then let’s go for it.

Thanks for raising the point.

Cheers,

  Vincent

---

From: Vincent Roca <[email-masked]>
Date: Thu, 20 Apr 2017 13:40:11 +0200

All,

> not in an « Acknowledgment » section. But if there’s a better solution, then let’s go for it.

There is a precedent: 
	RFC 7933 (https://datatracker.ietf.org/doc/rfc7933/ <https://datatracker.ietf.org/doc/rfc7933/>)
	Adaptive Video Streaming over Information-Centric Networking (ICN)
which is a collective ICNRG document (12 authors). Let’s do the same.

The first page would look like the following:

NWCRG                                                         B. Adamson
Internet-Draft
Intended status: Informational                                  C. Adjih
Expires: October 22, 2017
                                                               J. Bilbao

                                                          V. Firoiu, Ed.
                                                             BAE Systems
                                                               F. Fitzek

                                                               S. Ghanem

                                                               E. Lochin

                                                              A. Masucci

                                                          M-J. Montpetit

                                                             M. Pedersen

                                                              G. Peralta

                                                            V. Roca, Ed.
                                                                   INRIA
                                                               P. Saxena

                                                            S. Sivakumar

                                                          April 20, 2017

                        Network Coding Taxonomy
              draft-irtf-nwcrg-network-coding-taxonomy-03

The affiliations still need to be filled and the "editor » question answered.
The list remains in alphabetical order (I need to find a way to mention it) and a few updates are still
possible in the list.

Thanks for the pointer, Marie-José.

Cheers,

  Vincent